View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000879Ecere SDKidepublic2013-04-26 22:182013-08-07 03:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000879: IDE crashing on exit after having hit a segfault in debugged app
Descriptionas summarized
Additional InformationNeeded a watch for it to occur.

The watch's DataRow was being deleted from WatchesView::Clear() but not nullified in the workspace's watches list.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000749)
jerome (administrator)
2013-04-26 22:28
edited on: 2013-04-26 22:29

Call Stack:
  0 __ecereNameSpace__ecere__com__eInstance_DecRef Function, E:\sdk\ecere\src\com\instance.ec:4976
  1 __ecereNameSpace__ecere__gui__Window Destructor, E:\sdk\ecere\src\gui\Window.ec:611
  2 __ecereNameSpace__ecere__com__eInstance_Delete Function, E:\sdk\ecere\src\com\instance.ec:4592
  3 __ecereNameSpace__ecere__com__eInstance_DecRef Function, E:\sdk\ecere\src\com\instance.ec:4980
  4 __ecereNameSpace__ecere__gui__Window_DestroyEx Method, E:\sdk\ecere\src\gui\Window.ec:5666
  5 __ecereNameSpace__ecere__gui__Window_DestroyEx Method, E:\sdk\ecere\src\gui\Window.ec:5578
  6 __ecereNameSpace__ecere__gui__Window_DestroyEx Method, E:\sdk\ecere\src\gui\Window.ec:5578
  7 __ecereNameSpace__ecere__gui__Window_DestroyEx Method, E:\sdk\ecere\src\gui\Window.ec:5578
  8 __ecereNameSpace__ecere__gui__Window_DestroyEx Method, E:\sdk\ecere\src\gui\Window.ec:5578
  9 __ecereNameSpace__ecere__gui__Window_Destroy Method, E:\sdk\ecere\src\gui\Window.ec:6401
 10 __ecereInstMeth___ecereNameSpace__ecere__gui__controls__MenuItem_NotifySelect__00000028 Function, src\ide.ec:790
 11 __ecereNameSpace__ecere__gui__controls__PopupMenu_MenuItemSelection Method, E:\sdk\ecere\src\gui\controls\Menu.ec:891
 12 __ecereNameSpace__ecere__gui__controls__PopupMenu_OnKeyDown Method, E:\sdk\ecere\src\gui\controls\Menu.ec:1279
 13 __ecereNameSpace__ecere__gui__Window_KeyMessage Method, E:\sdk\ecere\src\gui\Window.ec:4615
 14 __ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage Method, E:\sdk\ecere\src\gui\drivers\Win32Interface.ec:428
 15 __ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow Method, E:\sdk\ecere\src\gui\drivers\Win32Interface.ec:679

(0000761)
jerome (administrator)
2013-04-27 19:32

Fixed by https://github.com/ecere/sdk/commit/8da6318160db12c027acd624d03a05be7eb18228 [^]

- Issue History
Date Modified Username Field Change
2013-04-26 22:18 jerome New Issue
2013-04-26 22:18 jerome Status new => assigned
2013-04-26 22:18 jerome Assigned To => jerome
2013-04-26 22:28 jerome Note Added: 0000749
2013-04-26 22:28 jerome Note Edited: 0000749
2013-04-26 22:28 jerome Note Edited: 0000749
2013-04-26 22:29 jerome Note Edited: 0000749
2013-04-26 22:29 jerome Note Edited: 0000749
2013-04-27 19:32 jerome Status assigned => resolved
2013-04-27 19:32 jerome Fixed in Version => 0.44.1 64
2013-04-27 19:32 jerome Resolution open => fixed
2013-04-27 19:32 jerome Note Added: 0000761
2013-04-27 19:33 jerome Additional Information Updated
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker